/*
    ViewerHelpCmd.h

    Will Eighteen, 2000: will@opaline.demon.co.uk
*/

#ifndef VIEWERHELPCMD_H
#define VIEWERHELPCMD_H

#include "NoUndoCmd.h"


class TextEdit;


class ViewerHelpCmd : public NoUndoCmd
{
	protected:
		virtual void doCommand();
		
	public:
		ViewerHelpCmd ( const char *, int active = TRUE );
		virtual ~ViewerHelpCmd();
		virtual const char *const className() { return ( "ViewerHelpCmd" ); }

	private:
		TextEdit *_edit;
		Boolean _editRealised;
		static void okCallback ( XtPointer, char * );
		static void cancelCallback ( XtPointer );
		void ok ( void * );
};

#endif
