/*
 Iconify.h - iconify windows

 Douglas A. Young, 'Object-oriented Programming with C++ and OSF/Motif'
 2nd ed., Prentice-Hall.
*/

#ifndef ICONIFYCMD_H
#define ICONIFYCMD_H

#include "NoUndoCmd.h"


class IconifyCmd : public NoUndoCmd
{
	protected:
		virtual void doCommand();	// iconify
		
	public:
		IconifyCmd ( const char *, int active = TRUE );
		virtual const char *const className() { return ( "IconifyCmd" ); }
};

#endif

/*
  Notes:
  
  Like ManageCmd, there is no way to determine which windows were already
  iconified, so undo is difficult to support.
*/
