/*
	PlayCmd.h - use 'play' frontend to sox to play a wave file

	Will Eighteen: will@opaline.demon.co.uk
*/

#ifndef PLAYCMD_H
#define PLAYCMD_H

#include <NoUndoCmd.h>


class PlayCmd : public NoUndoCmd
{
	public:
		PlayCmd ( const char *, int );
		
	protected:
		virtual void doCommand();

	private:
		char _playCmd[16];
		char _currentWave[1024];
		char _workingDir[256];
		unsigned int _numWaves;
		unsigned int _waveNum;
		short _numChannels;
		long _sampleRate;
		short _bitsPerSample;
		long _startSel, _endSel;
	
		int sysCall ( const char * );
};

extern char **environ;

#endif

/*
  Notes:
  
  All this should be done at much lower level... maybe one day...
 
*/
