/*
 InfoDialogManager.cc

 Douglas A. Young, 'Object-oriented Programming with C++ and OSF/Motif'
 2nd ed., Prentice-Hall.
*/

#include "InfoDialogManager.h"
#include <Xm/Xm.h>
#include <Xm/MessageB.h>

DialogManager *infoDialogManager = new InfoDialogManager ( "InformationDialog" );

Widget InfoDialogManager::createDialog ( Widget parent )
{
	Widget dialog = XmCreateInformationDialog ( parent, _name, NULL, 0 );
	return ( dialog );
}


/*
  Notes:
  
  The DialogManager class calls InfoDialogManager's createDialog() when a new
  dialogue is required; this latter creates and returns a Motif
  InformationDialog.
*/ 
 
